com.microfocus.awm.meta.interfaces

## Interface RElementGetProperties

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RElementActionBase
  All Known Implementing Classes:
    RElementGetPropertiesImpl

      public interface RElementGetProperties
      extends RElementActionBase

  The "Get All Properties Action" relationship points to an action descriptor which is used to refresh the properties of an element. In the "Get All Properties Action" relationship can be defined when and how often the properties should be refreshed.

  The following features are supported:

  - `Get Properties Action Enabled Condition`
  - `Execution Point`
  - `Execution Rate`
  See Also:
    `TaurusPackage.getRElementGetProperties()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EExecutionPoint` | `getExecutionPoint()` Returns the value of the 'Execution Point' attribute.
    `EExecutionRate` | `getExecutionRate()` Returns the value of the 'Execution Rate' attribute.
    `RSelectionEnabledCondition` | `getGetPropertiesActionEnabledCondition()` Returns the value of the 'Get Properties Action Enabled Condition' containment reference.
    `boolean` | `isSetExecutionPoint()` Returns whether the value of the '`Execution Point`' attribute is set.
    `boolean` | `isSetExecutionRate()` Returns whether the value of the '`Execution Rate`' attribute is set.
    `void` | `setExecutionPoint(EExecutionPoint value)` Sets the value of the '`Execution Point`' attribute.
    `void` | `setExecutionRate(EExecutionRate value)` Sets the value of the '`Execution Rate`' attribute.
    `void` | `setGetPropertiesActionEnabledCondition(RSelectionEnabledCondition value)` Sets the value of the '`Get Properties Action Enabled Condition`' containment reference.
    `void` | `unsetExecutionPoint()` Unsets the value of the '`Execution Point`' attribute.
    `void` | `unsetExecutionRate()` Unsets the value of the '`Execution Rate`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.RElementActionBase

      `getTargetID, setTargetID`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGetPropertiesActionEnabledCondition

          RSelectionEnabledCondition getGetPropertiesActionEnabledCondition()

      Returns the value of the 'Get Properties Action Enabled Condition' containment reference. This condition should point to a property which determines if the properties of the selected element should be refreshed or not.
      Returns:
        the value of the 'Get Properties Action Enabled Condition' containment reference.
      See Also:
        `setGetPropertiesActionEnabledCondition(RSelectionEnabledCondition)`, `TaurusPackage.getRElementGetProperties_GetPropertiesActionEnabledCondition()`

    - #### setGetPropertiesActionEnabledCondition

          void setGetPropertiesActionEnabledCondition(RSelectionEnabledCondition value)

      Sets the value of the '`Get Properties Action Enabled Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Get Properties Action Enabled Condition' containment reference.
      See Also:
        `getGetPropertiesActionEnabledCondition()`

    - #### getExecutionPoint

          EExecutionPoint getExecutionPoint()

      Returns the value of the 'Execution Point' attribute. The literals are from the enumeration `EExecutionPoint`.
      Determines at which point the GetAllProperties action should be executed.
      Returns:
        the value of the 'Execution Point' attribute.
      See Also:
        `EExecutionPoint`, `isSetExecutionPoint()`, `unsetExecutionPoint()`, `setExecutionPoint(EExecutionPoint)`, `TaurusPackage.getRElementGetProperties_ExecutionPoint()`

    - #### setExecutionPoint

          void setExecutionPoint(EExecutionPoint value)

      Sets the value of the '`Execution Point`' attribute.
      Parameters:
        `value` - the new value of the 'Execution Point' attribute.
      See Also:
        `EExecutionPoint`, `isSetExecutionPoint()`, `unsetExecutionPoint()`, `getExecutionPoint()`

    - #### unsetExecutionPoint

          void unsetExecutionPoint()

      Unsets the value of the '`Execution Point`' attribute.
      See Also:
        `isSetExecutionPoint()`, `getExecutionPoint()`, `setExecutionPoint(EExecutionPoint)`

    - #### isSetExecutionPoint

          boolean isSetExecutionPoint()

      Returns whether the value of the '`Execution Point`' attribute is set.
      Returns:
        whether the value of the 'Execution Point' attribute is set.
      See Also:
        `unsetExecutionPoint()`, `getExecutionPoint()`, `setExecutionPoint(EExecutionPoint)`

    - #### getExecutionRate

          EExecutionRate getExecutionRate()

      Returns the value of the 'Execution Rate' attribute. The literals are from the enumeration `EExecutionRate`.
      Determines how frequently the GetAllProperties action should be executed.
      Returns:
        the value of the 'Execution Rate' attribute.
      See Also:
        `EExecutionRate`, `isSetExecutionRate()`, `unsetExecutionRate()`, `setExecutionRate(EExecutionRate)`, `TaurusPackage.getRElementGetProperties_ExecutionRate()`

    - #### setExecutionRate

          void setExecutionRate(EExecutionRate value)

      Sets the value of the '`Execution Rate`' attribute.
      Parameters:
        `value` - the new value of the 'Execution Rate' attribute.
      See Also:
        `EExecutionRate`, `isSetExecutionRate()`, `unsetExecutionRate()`, `getExecutionRate()`

    - #### unsetExecutionRate

          void unsetExecutionRate()

      Unsets the value of the '`Execution Rate`' attribute.
      See Also:
        `isSetExecutionRate()`, `getExecutionRate()`, `setExecutionRate(EExecutionRate)`

    - #### isSetExecutionRate

          boolean isSetExecutionRate()

      Returns whether the value of the '`Execution Rate`' attribute is set.
      Returns:
        whether the value of the 'Execution Rate' attribute is set.
      See Also:
        `unsetExecutionRate()`, `getExecutionRate()`, `setExecutionRate(EExecutionRate)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.